<!doctype html>
<html>
<head>
	<title>Custom Scriptz</title>

	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<link rel="stylesheet" href="https://customscriptz.com/css/reset.css" type="text/css" charset="utf-8" />
	<link rel="stylesheet" href="https://customscriptz.com/css/style.css" type="text/css" charset="utf-8" />
	<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.16/themes/ui-darkness/jquery-ui.css" type="text/css" charset="utf-8" />
	<style type="text/css">
	#header {
		height: 145px;
	}
	#content {
		font-size: 70%;
	}
	h1 {
		font-weight: bold;
		font-size: 2.2em;
		margin-bottom: 12px;
	}
	li a:hover {
		border: 0;
	}
	.table {
		width: 100%;
	}
	.table thead td {
		background: #666666;
	}
	.table tr td {
		border: 1px solid #FFFFFF;
		padding: 10px;
		vertical-align: middle;
	}
	.table tbody tr td {
		padding: 6px;
		height: 34px;
	}
	.table tr td:nth-child(6) {
		text-align: center;
	}
	input[type=text] {
		width: 230px;
	}
	.action {
		width: 44px;
	}
	.icons li {
		float: left;
		margin-right: 6px;
		width: 17px;
	}
	.icons li:hover {
		cursor: pointer;
	}
	.icons li:last-child, .icons li:nth-child(2) {
		margin-right: 0;
	}
	.hidden {
		display: none;
	}
	.module_key {
		width: 246px;
	}
	.error td, .error {
		font-weight: bold;
		color: #FF0000;
	}
	.license_instructions {
		font-size: 1.2em;
		margin: 20px;
	}
	.license_instructions li {
		margin: 4px 2px;
	}
	fieldset {
		border: 1px solid #000;
		padding: 8px 10px;

		-webkit-border-radius: 5px; /* Saf3-4, iOS 1-3.2, Android <1.6 */
		-moz-border-radius: 5px; /* FF1-3.6 */
		border-radius: 5px; /* Opera 10.5, IE9, Saf5, Chrome, FF4, iOS 4, Android 2.1+ */

		/* useful if you don't want a bg color from leaking outside the border: */
		-moz-background-clip: padding; -webkit-background-clip: padding-box; background-clip: padding-box;
	}
	fieldset legend {
		padding: 0 4px;
		font-weight: bold;
	}
	strong {
		font-weight: bold;
	}
	</style>
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.4/jquery.min.js"></script>
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.16/jquery-ui.min.js"></script>
	<script type="text/javascript">
		var page = '{page}';
		var page_redirect = page + '?action=updateDB';

		$(function() {
			$('.process').hide();
			$('#tabs').tabs();
			{disableAddModuleTab}

			$('.icon-edit').live('click', function() {
				var id = '#' + $(this).closest('tr').attr('id');

				$(id + ' .module_key').find('span').hide();
				$(id + ' .module_key').find('input[type=text]').show();

				$(id).find('.icon-edit, .icon-delete').hide();
				$(id).find('.icon-save, .icon-cancel').show();
			});

			$('.icon-cancel, .icon-save').live('click', function(e) {
				var id = '#' + $(this).closest('tr').attr('id');

				$(id + ' .module_key').find('input[type=text]').hide();
				$(id + ' .module_key').find('span').show();

				var license = $(id).find('.module_key input').val();
				var license_previous = $(id).find('.module_key span').html();

				if ($(this).hasClass('icon-save'))
				{
					$(id).find('.module_key span').html(license);
					$(id).find('.icon-save, .icon-cancel').fadeOut('fast', function() {
						$(id).find('.process').html('{saving}');
						$(id).find('.process').fadeIn(100, function() {
							var module = id.split('-');
							$.ajax({
								url: page + '?action=licenseManager&do=update_module&module=' + module[1] + '&license_key=' + license,
								type: 'GET',
								dataType: 'json',
								success: function(result) {
									//alert("{redirect_to_validate}");
									window.location = page_redirect;
								}
							});
						});
					});
				}
				else
				{
					$(id).find('.module_key input').val(license_previous);

					$(id).find('.icon-save, .icon-cancel').hide();
					$(id).find('.icon-edit, .icon-delete').show();
				}
			});

			$('.icon-delete').live('click', function(e) {
				var tr = $(this).closest('tr').attr('id');
				var id = '#' + tr;
				var warning = '.' + tr;
				var module = id.split('-');

				var prompt = confirm("{prompt_delete}");

				if (prompt)
				{
					$(id).find('.icon-edit, .icon-delete').fadeOut('fast', function() {
						$(id).find('.process').html('{deleting}');
						$(id).find('.process').fadeIn(100, function() {
							var module = id.split('-');

							$.ajax({
								url: page + '?action=licenseManager&do=delete_module&module=' + module[1],
								success: function() {
									$(id).fadeOut().remove();
									$(warning).fadeOut().remove();
								}
							});
						});
					});
				}
			});

			$('#addModule').live('click', function(e) {
				var license = $('.new_module_license_key').val();
				var module = $('.new_module_id').val();

				$('#addModule').fadeOut(function() {
					$('.addModuleProcessing').removeClass('error').html('{please_wait}').fadeIn('fast', function() {
						$.ajax({
							url: page + '?action=licenseManager&do=add_module&license_key=' + license + '&module=' + module,
							dataType: 'json',
							success: function(result) {
								if (result.status == 'error')
								{
									$('.addModuleProcessing').fadeOut('fast').addClass('error').html('<br /><br />' + result.message).fadeIn('fast', function() {
										$('#addModule').fadeIn('fast');
									});
								}
								else
								{
									//alert("{redirect_to_module}");
									window.location = page_redirect;
								}
							}
						});
					});
				});
			});

			$('#validate_secret_key').live('click', function(e) {
				var secret_key = $('input[name=secret_key]').val();

				$('#validate_secret_key').fadeOut(function() {
					$('.processing').removeClass('error').html('<br />{please_wait}').fadeIn('fast', function() {
						$.ajax({
							url: page + '?action=licenseManager&do=validate_secret_key&secret_key=' + secret_key,
							dataType: 'json',
							success: function(result) {
								if (result.status == 'error')
								{
									$('.processing').fadeOut('fast').addClass('error').html('<br />' + result.message).fadeIn('fast', function() {
										$('#validate_secret_key').fadeIn('fast');
									});
								}
								else
								{
									$('#tabs-installed').html(result.message);
								}
							}
						});
					});
				});
			});
		});
	</script>
	<script type="text/javascript" src="https://customscriptz.com/modules/livehelp/plugins/whmcs/jquery.livehelp.js"></script>
</head>
<body>
<div id="wrap">
	<div id="main">
		<div id="header">
			<div class="internal">
				<div class="logo">
					<img src="https://customscriptz.com/images/header_logo.png" alt="Custom Scriptz" title="Custom Scriptz" />
				</div>
				<div class="chat">
					<a href="#" target="_blank" class="LiveHelpButton"><img src="https://customscriptz.com/modules/livehelp/include/status.php" id="LiveHelpStatus" name="LiveHelpStatus" class="LiveHelpStatus" border="0" alt="Live Help" /></a>
				</div>
				<div class="slogan">
					<div class="image"><img src="https://customscriptz.com/images/you_think_we_code.png" width="150px" height="54px" alt="Custom Scriptz - You Think, We Code" title="Custom Scriptz - You Think, We Code" /></div>
				</div>
			</div>
		</div>
		<div id="content">
			<div class="internal">
				<h1>{license_manager}</h1>
				<div id="tabs">
					<ul>
						<li><a href="#tabs-installed">{tab_modules_installed}</a></li>
						<li><a href="#tabs-new-module">{tab_add_new_module}</a></li>
					</ul>
					<div id="tabs-installed">
						{modules}
					</div>
					<div id="tabs-new-module">
						<table class="table">
							<tbody>
								<tr>
									<td>{module}:</td>
									<td>{module_name}<input type="hidden" name="module" value="{module_id}" class="new_module_id" /></td>
								</tr>
								<tr>
									<td>{license_key}:</td>
									<td><input type="text" name="license_key" value="" class="new_module_license_key" /></td>
								</tr>
								<tr>
									<td colspan="2">
										<button id="addModule" onclick="return false">{add_module}</button>
										<span class="addModuleProcessing"></span>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>

				<div class="license_instructions">
					<fieldset>
						<legend>{license_instructions_title}</legend>

						<ol>
							{license_instructions_description}
						</ol>
					</fieldset>
					<br /><br />
					{add_new_module_description}
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>